Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 592380 - Restricted failover domains don't work with VM migrations
Restricted failover domains don't work with VM migrations
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: rgmanager (Show other bugs)
5.4
All Linux
low Severity medium
: rc
: ---
Assigned To: Lon Hohberger
Cluster QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-14 13:43 EDT by Marc Milgram
Modified: 2011-01-13 18:26 EST (History)
3 users (show)

See Also:
Fixed In Version: rgmanager-2.0.52-6.15.el5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 621694 (view as bug list)
Environment:
Last Closed: 2011-01-13 18:26:15 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2011:0134 normal SHIPPED_LIVE rgmanager bug fix and enhancement update 2011-01-12 14:20:47 EST

  None (edit)
Description Marc Milgram 2010-05-14 13:43:49 EDT
Description of problem:
clusvcadm -M will migrate a VM outside of a failover domain.

Version-Release number of selected component (if applicable):
rgmanager-2.0.52-6.el5.x86_64.rpm

How reproducible:
Every time

Steps to Reproduce:
1. Define a VM service in cluster.conf.
2. Define a restricted failover domain containing a subset of cluster nodes.
3. Start the VM service on one of the failover domain nodes.
4. MIGRATE the VM (clusvcadm -M) to the same non-domain node where you attempted to start it.
  
Actual results:
A VM service in a restricted failover domain can be migrated to a node that is not part of that failover domain.

Expected results:
A VM service in a restricted failover domain should only be able to run on nodes that are part of the failover domain.

Additional info:
Comment 3 errata-xmlrpc 2011-01-13 18:26:15 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2011-0134.html

Note You need to log in before you can comment on or make changes to this bug.